List Additional Patches in Target

get

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/{goldImageId}/targets/{targetId}/additionalPatches

Lists additional patches in target, which is not present in the image to which it is subscribed and patch is not oracle recommended

Request

Path Parameters
Query Parameters
  • Exclude the given details in response
    Allowed Values: [ "total" ]
  • Provide list of bugs fixed (if available). PatchId is mandatory, when bugs to be included in the result.
    Allowed Values: [ "bugs" ]
  • Limits number of items returned in current call. Use the self/previous/next links from the response to fetch additional items.
    Default Value: 50
  • Identifies the set of items to be fetched; "href" element from "links" list of the response provides encoded value for this parameter. "href" element value should be used "as is" for fetching respective set of items.
    Default Value: Base64 encode value of 0 i.e MA==
  • Comma separated list of fields along with an optional sort direction. The supported attributes of sorting are 'patchId' & 'patchDescription'.Valid sort directions are 'asc' and 'desc'. If sort direction is not specified, 'asc' is used by default.
    Example:
    patchId:asc, patchId:desc, patchId

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Ok. Additional patches retrieved.
Body ()
Root Schema : TargetAdditionalPatchCollection
Type: object
Patch details
Show Source
Match All
Patch details
Show Source
Nested Schema : items
Type: array
Array of patches
Show Source
Nested Schema : Pagination
Type: object
Collection of items with links
Show Source
Nested Schema : items
Type: object
Match All
Show Source
Nested Schema : TargetAdditionalPatchSummary
Type: object
Recommended patches for Image Version
Show Source
Nested Schema : bugs
Type: array
List of bugs
Show Source
  • Example: 26716835,28209601,28777073,29224710,29254623,29415774,29445548,29512125,29540327,29540831,29774362,29942275,30134746,30160625,30534662,30674373,30855101,30889443,30895577,31247838,31306261,31311732,31359215,31494420,31668872,31727233,31776121,31844357,32032733,32069696,32124570,32165759,32167592,32523206,32892883,33184467,33223248,33563137,33805155,33872610,34149263
Examples

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

401 Response

Client is not authenticated
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

403 Response

Forbidden. The user is forbidden to perform the requested operation
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

404 Response

Resource not found or not authorized for access
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

503 Response

Indicates that a required service is not available
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source
Back to Top